공통 서비스 인터페이스

### Hierarchy

- ICommonService

### Implemented by

- CommonService

## Index

### Methods

- changePage
- openToast

## Methods

### changePage

- changePage(location: string): void

- - Defined in src/services/common.interface.ts:36

  Changes page

  #### Parameters

  - ##### location: string

  #### Returns void

### openToast

- openToast(message: string, named?: Record<string, unknown>, duration?: number, header?: string, color?: IonColorType, icon?: string, buttons?: (string | ToastButton)[], routerPath?: string): Promise<any>

- - Defined in src/services/common.interface.ts:20

  모달 오픈

  #### Parameters

  - ##### message: string

  - ##### Optional named: Record<string, unknown>

  - ##### Optional duration: number

  - ##### Optional header: string

  - ##### Optional color: IonColorType

  - ##### Optional icon: string

  - ##### Optional buttons: (string | ToastButton)[]

  - ##### Optional routerPath: string

  #### Returns Promise<any>

  toast

Generated using TypeDoc